#!/usr/bin/env sh

set -eu

./bundle.sh

YML_IN="spec/submission-api.yaml"
YML_OUT="dist/submission-api.yaml"

docker run --rm -v "$(pwd):/work" jeanberu/swagger-cli \
  swagger-cli validate "/work/$YML_IN"

docker run --rm -v "$(pwd):/work" -w /work stoplight/spectral:5.9.1 \
  lint "$YML_IN" --verbose

grep -c '~' "$YML_OUT" >/dev/null && \
  { echo "You have relative references in the output. Fix them by adding them to the components tree."; exit 1; }
